org.apache.maven.scm.provider.synergy.command.remove

## Class SynergyRemoveCommand

- java.lang.Object
- - org.apache.maven.scm.command.AbstractCommand
  - - org.apache.maven.scm.command.remove.AbstractRemoveCommand
    - - org.apache.maven.scm.provider.synergy.command.remove.SynergyRemoveCommand

All Implemented Interfaces:
  Command, SynergyCommand

    public class SynergyRemoveCommand
    extends AbstractRemoveCommand
    implements SynergyCommand

Version:
  $Id: SynergyRemoveCommand.java 691810 2008-09-03 22:38:28Z vsiveton $
Author:
  Julien Henry

### Field Summary

### Fields inherited from interface org.apache.maven.scm.command.Command

`ROLE`

### Constructor Summary

Constructors
Constructor and Description
`SynergyRemoveCommand()`

### Method Summary

Methods
`protected ScmResult` `executeRemoveCommand(ScmProviderRepository repository, ScmFileSet fileSet, String message)`

### Methods inherited from class org.apache.maven.scm.command.remove.AbstractRemoveCommand

`executeCommand`

### Methods inherited from class org.apache.maven.scm.command.AbstractCommand

`execute, getLogger, setLogger`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SynergyRemoveCommand

    public SynergyRemoveCommand()

### Method Detail

#### executeRemoveCommand

    protected ScmResult executeRemoveCommand(ScmProviderRepository repository,
                                 ScmFileSet fileSet,
                                 String message)
                                      throws ScmException

Specified by:
  `executeRemoveCommand` in class `AbstractRemoveCommand`
Throws:
  `ScmException`